com.fasterxml.jackson.databind.util

## Class CompactStringObjectMap

- java.lang.Object
- - com.fasterxml.jackson.databind.util.CompactStringObjectMap

All Implemented Interfaces:
  Serializable

    public final class CompactStringObjectMap
    extends Object
    implements Serializable

Specialized lookup class that implements functionality similar to `Map`, but for special case of key always being `String` and using more compact (and memory-access friendly) hashing scheme. Assumption is also that keys are typically intern()ed.

Generics are not used to avoid bridge methods and since these maps are not exposed as part of external API.

Since:
  2.6
See Also:
  Serialized Form

### Method Summary

Methods
`static <T> CompactStringObjectMap` `construct(Map<String,T> all)`
`Object` `find(String key)`
`Object` `findCaseInsensitive(String key)`
`List<String>` `keys()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### construct

    public static <T> CompactStringObjectMap construct(Map<String,T> all)

#### find

    public Object find(String key)

#### findCaseInsensitive

    public Object findCaseInsensitive(String key)

Since:
  2.9

#### keys

    public List<String> keys()